Subject: Re: [netlmm] #57: Scenerio should include WLAN

From: Pekka Savola <[email-masked]>
Date: Thu, 1 Jun 2006 14:51:03 +0300 (EEST)

On Mon, 29 May 2006, James Kempf wrote:
> Please suggest some text to add to the paragraph after the sentence about 
> VLANs that would address your concerns.

OK.  The title of 3.1 also needs to be more general unless these 
issues would be put in two different sections.  Maybe something like 
follows might make this more explicit?  I didn't modify the second 
paragraph.

   3.1 Large Campus

      One scenario where localized mobility management would be attractive
      is a large campus wireless LAN deployment.  Having a single
      broadcast domain for all WLAN access points doesn't scale very
      well.  Also, sometimes parts of the campus cannot be covered by
      one VLAN for other reasons (e.g., some links are other than 802.3).

      In this case, the campus is divided into separate IP
      links each served by one or more access routers. This kind of deployment is
      served today by wireless LAN switches that co-ordinate IP mobility between
      them, effectively providing localized mobility management at the link layer.
      Since the protocols are proprietary and not interoperable, any deployments
      that require IP mobility necessarily require switches from the same vendor.

>> On Tue, 23 May 2006, netlmm-tracker wrote:
>>> The reason this isn't described is because the WLAN switches (Airespace,
>>> now Cisco, Aruba, etc.) all have solutions for what they call "IP
>>> mobility". These solutions provide mobility between IP subnets without
>>> requiring any host involovement (these solutions don't even require any IP
>>> level movement detection on the host). These solutions are proprietary,
>>> however.
>>> 
>>> At the time the WG was forming, it seemed quite uncertain whether the WLAN
>>> switch vendors would adopt a NETLMM solution, so the charter and problem
>>> statement were confined to the wide area case, where prospects for
>>> widespread adoption were more promising.
>>> 
>>> Recommend that we keep the current text, unless someone from the WLAN 
>>> switch vendor community feels that adoption prospects for an 
>>> interoperable, IP level mobility management solution have improved.
>> 
>> There is nothing WLAN-specific about this technology, hence products 
>> implementing NETLMM could be used in deployments instead of WLAN switches. 
>> So, I'm puzzled -- why should we seek approval of vendors w/ proprietary 
>> products before developing a more general, interoperable solution that 
>> would be competing with theirs?
>> 
>> I think it's important that no one could argue that all what NETLMM is 
>> doing could be done by these proprietary WLAN switches, and hence no IETF 
>> activity is needed unless the WLAN switch vendors wish to step forward to 
>> standardize their stuff -- but this seems clear enough as it is.
>> 
>>> Isn't this covered by the text "or in which it is not possible to cover 
>>> the campus by one VLAN"? That would cover not being able to stretch the 
>>> same WLAN over the entire campus.
>> 
>> IMHO, no.  The context of that statement is that a VLAN can't span the 
>> campus because it might not be possible to span the *Ethernet* all the way. 
>> It had little to do with the scalability properties with a single huge 
>> broadcast domain.
>> 
>> -- 
>> Pekka Savola                 "You each name yourselves king, yet the
>> Netcore Oy                    kingdom bleeds."
>> Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
>> 
>> _______________________________________________
>> netlmm mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/netlmm
>> 
>
>

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: "James Kempf" <[email-masked]>
Date: Thu, 1 Jun 2006 19:01:01 -0700

Thanx. I put in some minor change, but this looks better.

            jak

----- Original Message ----- 
From: "Pekka Savola" <[email-masked]>
To: "James Kempf" <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, June 01, 2006 4:51 AM
Subject: Re: [netlmm] #57: Scenerio should include WLAN

> OK.  The title of 3.1 also needs to be more general unless these issues 
> would be put in two different sections.  Maybe something like follows 
> might make this more explicit?  I didn't modify the second paragraph.
>
>   3.1 Large Campus
>
>>> implementing NETLMM could be used in deployments instead of WLAN 
>>> switches. So, I'm puzzled -- why should we seek approval of vendors w/ 
>>> proprietary products before developing a more general, interoperable 
>>> solution that would be competing with theirs?
>>>
>>> doing could be done by these proprietary WLAN switches, and hence no 
>>> IETF activity is needed unless the WLAN switch vendors wish to step 
>>> forward to standardize their stuff -- but this seems clear enough as it 
>>> is.
>>>
>>> campus because it might not be possible to span the *Ethernet* all the 
>>> way. It had little to do with the scalability properties with a single 
>>> huge broadcast domain.
>>>
>>> --